Elog - Feature #17600

Entry ID Links Don't Reference Entry
08/28/2017 12:59 AM - Beau Harrison

Status: Closed Start date: 08/28/2017

Priority: Low Due date:

Assignee: Kyle Hazelwood % Done: 0%

Category: Client Estimated time: 0.00 hour

Target version: Version 2.0 Spent time: 0.00 hour

Description

An entry's id link use to reference the entry with the current context. It appears that now it only links to the current context and not the
entry.

For example:

https://www-bd.fnal.gov/Elog/?orEntryld=115350
The id link on this entry points to
https://www-bd.fnal.gov/Elog/

instead of
https://www-bd.fnal.gov/Elog/?orEntryld=115350

https://www-bd.fnal.gov/Elog/?orEntryld=115350&norLogName=Accelerator+Projects&entryLimit=250&sortingField=Modified+Date
The id link on this entry points to

https://www-bd.fnal.gov/Elog/?norLogName=Accelerator+Projects&entryl imit=250&sortingField=Modified+Date

instead of
https://www-bd.fnal.gov/Elog/?orEntryld=115350&norLogName=Accelerator+Projects&entryLimit=250&sortingField=Modified+Date

History

#1 - 08/28/2017 01:11 AM - Beau Harrison

| actually understand what is going on now.
If the entry id is a filter then the entry id link doesn't include the entry id.

Is this desired? | preferred previous behavior. | don't like the context when | copy this link so | tend to paste it into another window so | can remove all
of that.

While | am at it, is the context necessary when using this link? I'd prefer that entry id link were just to the entry
https://www-bd.fnal.gov/Elog/?orEntryld=115350 without any context
https://www-bd.fnal.gov/Elog/?orEntryld=115350&norLogName=Accelerator+Projects&entryLimit=2508&sortingField=Modified+Date

Thanks

#2 - 11/16/2017 11:08 AM - Kyle Hazelwood
- Tracker changed from Bug to Feature

- Category set to Client

- Status changed from New to Assigned

- Assignee set to Kyle Hazelwood

- Priority changed from Normal to Low

- Target version set to Version 2.0

The thought was that one could keep adding or subtracting entry ids. But | agree, it is most used for copy entry links and should probably be just that.

#3 - 11/16/2017 11:15 AM - Kyle Hazelwood

- Status changed from Assigned to Resolved

Fixed on the next restart.

#4 - 12/19/2017 12:02 PM - Kyle Hazelwood

- Status changed from Resolved to Closed
